Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-armd-problem-statement-03

From: Thomas Narten <[email-masked]>
Date: Mon, 22 Oct 2012 11:35:24 -0400

Hi Manav.

Getting back to this thread...

"Bhatia, Manav (Manav)" <[email-masked]> writes:

> Hi Thomas,

> > 
> > > However, the draft still says "multicast frames do not necessarily  
> > > need to be sent to all parts of the network". I could be missing  
> > > something but there still seems to be some disconnect 
> > because in  the 
> > > context of L2, multicast frames will be sent to all parts of  the 
> > > network.
> > 
> > L2 IGMP snooping may be taking place, which can then result 
> > in multicast traffic not being forwarded everywhere in the L2 
> > broadcst domain...

> Yes, that's correct. So youre suggesting that IGMP snooping will
> help reduce "ARP" traffic in case of IPv6. Do hosts send out MLD
> reports for the link local addresses that they expect to receive the
> Neighbor Discovery messages on? If they don't, then snooping will be
> of no help in reducing IPv6 ND traffic that the draft is discussing
> in that section.

Yes, IPv6 hosts do send out MLD reports for LL multicast. This was
done precisely as a concession to snooping bridges.

> > 
> > > Yes it does as long as you remove the original line that I had
> >   quoted.
> > 
> > Removing that line IMO removes something essential. It is the 
> > case that on some routers (i.e., devices at the edge of an L2 
> > boundary) do not have sufficient resources to process "a lot 
> > of ARP traffic". "a lot" is in quotes because we don't have 
> > an exact figure for what that is. This is one of the key 
> > points to come out of the ARMD effort.
> > 
> > What exactly do you object to in that sentence?

> My concern with the opening sentence of Sec 7.1 is that it
> generalizes large L2 domains and makes a sweeping statement that
> seems to suggest that all routers in large L2 domains need to
> process "a lot of " ARP traffic. This is patently incorrect. As I
> have said earlier, this issue is specific to L2 domains that see a
> lot of ARP/ND traffic and is not true in general for all large L2
> domains.

OK. I changed the sentence at issue to:

	  One pain point with large L2 broadcast domains is that the
	  routers connected to the L2 domain may need to process "a
	  lot of" ARP traffic in some cases. In particular,
	  environments where the aggregate level of ARP traffic is
	  very large may lead to a heavy ARP load on routers.

Does that work?

Thomas